> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aicoflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Brain Feed



## OpenAPI

````yaml /api/openapi.json patch /api/brain/feeds/{key}
openapi: 3.1.0
info:
  title: AICO API
  description: API for managing AI-powered voice agents, flows, tools, telephony, and more.
  version: 1.0.0
servers: []
security:
  - bearer: []
tags:
  - name: API Keys
  - name: Admin
  - name: Assets
  - name: Audit
  - name: Billing
  - name: Brain
  - name: Calls
  - name: Channels
  - name: Datasets
  - name: Flows
  - name: Inference
  - name: Integrations
  - name: Knowledge
  - name: LLM
  - name: Monitoring
  - name: Notifications
  - name: Organizations
  - name: Plugins
  - name: Providers
  - name: Reporting
  - name: System
  - name: Telephony
  - name: Tools
  - name: Web
  - name: _hello
paths:
  /api/brain/feeds/{key}:
    patch:
      tags:
        - Brain
      summary: Update Brain Feed
      operationId: update_brain_feed
      parameters:
        - schema:
            type: string
          in: path
          name: key
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              def:
                type: object
                shape:
                  label:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: string
                          checks:
                            - {}
                        type: string
                    type: optional
                  mapping:
                    def:
                      type: optional
                      innerType:
                        def:
                          type: object
                          shape:
                            subject:
                              def:
                                type: object
                                shape:
                                  type:
                                    def:
                                      type: string
                                      checks:
                                        - {}
                                    type: string
                                  path:
                                    def:
                                      type: optional
                                      innerType:
                                        def:
                                          type: string
                                          checks:
                                            - {}
                                        type: string
                                    type: optional
                                  by:
                                    def:
                                      type: default
                                      innerType:
                                        def:
                                          type: enum
                                          entries:
                                            ref: ref
                                            identifier: identifier
                                            name: name
                                            resolve: resolve
                                        type: enum
                                        enum:
                                          ref: ref
                                          identifier: identifier
                                          name: name
                                          resolve: resolve
                                        options:
                                          - ref
                                          - identifier
                                          - name
                                          - resolve
                                      defaultValue: ref
                                    type: default
                                  createWithNamePath:
                                    def:
                                      type: optional
                                      innerType:
                                        def:
                                          type: string
                                        type: string
                                    type: optional
                                  resolve:
                                    def:
                                      type: optional
                                      innerType:
                                        def:
                                          type: object
                                          shape:
                                            chain:
                                              def:
                                                type: array
                                                element:
                                                  def:
                                                    type: union
                                                    options:
                                                      - def:
                                                          type: object
                                                          shape:
                                                            kind:
                                                              def:
                                                                type: literal
                                                                values:
                                                                  - geofence
                                                              type: literal
                                                              values: {}
                                                            latPath:
                                                              def:
                                                                type: string
                                                                checks:
                                                                  - {}
                                                              type: string
                                                            lonPath:
                                                              def:
                                                                type: string
                                                                checks:
                                                                  - {}
                                                              type: string
                                                            accuracyPath:
                                                              def:
                                                                type: optional
                                                                innerType:
                                                                  def:
                                                                    type: string
                                                                    checks:
                                                                      - {}
                                                                  type: string
                                                              type: optional
                                                        type: object
                                                      - def:
                                                          type: object
                                                          shape:
                                                            kind:
                                                              def:
                                                                type: literal
                                                                values:
                                                                  - beacon
                                                              type: literal
                                                              values: {}
                                                            idsPath:
                                                              def:
                                                                type: string
                                                                checks:
                                                                  - {}
                                                              type: string
                                                        type: object
                                                      - def:
                                                          type: object
                                                          shape:
                                                            kind:
                                                              def:
                                                                type: literal
                                                                values:
                                                                  - extract
                                                              type: literal
                                                              values: {}
                                                            textPath:
                                                              def:
                                                                type: optional
                                                                innerType:
                                                                  def:
                                                                    type: string
                                                                    checks:
                                                                      - {}
                                                                  type: string
                                                              type: optional
                                                            template:
                                                              def:
                                                                type: optional
                                                                innerType:
                                                                  def:
                                                                    type: string
                                                                    checks:
                                                                      - {}
                                                                  type: string
                                                              type: optional
                                                            entityType:
                                                              def:
                                                                type: optional
                                                                innerType:
                                                                  def:
                                                                    type: string
                                                                    checks:
                                                                      - {}
                                                                  type: string
                                                              type: optional
                                                        type: object
                                                      - def:
                                                          type: object
                                                          shape:
                                                            kind:
                                                              def:
                                                                type: literal
                                                                values:
                                                                  - tool
                                                              type: literal
                                                              values: {}
                                                            tool:
                                                              def:
                                                                type: string
                                                                checks:
                                                                  - {}
                                                              type: string
                                                            inputs:
                                                              def:
                                                                type: default
                                                                innerType:
                                                                  def:
                                                                    type: record
                                                                    keyType:
                                                                      def:
                                                                        type: string
                                                                      type: string
                                                                    valueType:
                                                                      def:
                                                                        type: string
                                                                        checks:
                                                                          - {}
                                                                      type: string
                                                                  type: record
                                                                  keyType:
                                                                    def:
                                                                      type: string
                                                                    type: string
                                                                  valueType:
                                                                    def:
                                                                      type: string
                                                                      checks:
                                                                        - {}
                                                                    type: string
                                                                defaultValue: {}
                                                              type: default
                                                            outputPath:
                                                              def:
                                                                type: optional
                                                                innerType:
                                                                  def:
                                                                    type: string
                                                                    checks:
                                                                      - {}
                                                                  type: string
                                                              type: optional
                                                            resolveAs:
                                                              def:
                                                                type: default
                                                                innerType:
                                                                  def:
                                                                    type: enum
                                                                    entries:
                                                                      ref: ref
                                                                      name: name
                                                                  type: enum
                                                                  enum:
                                                                    ref: ref
                                                                    name: name
                                                                  options:
                                                                    - ref
                                                                    - name
                                                                defaultValue: ref
                                                              type: default
                                                            source:
                                                              def:
                                                                type: optional
                                                                innerType:
                                                                  def:
                                                                    type: string
                                                                    checks:
                                                                      - {}
                                                                  type: string
                                                              type: optional
                                                        type: object
                                                    discriminator: kind
                                                    inclusive: false
                                                  type: union
                                                  options:
                                                    - def:
                                                        type: object
                                                        shape:
                                                          kind:
                                                            def:
                                                              type: literal
                                                              values:
                                                                - geofence
                                                            type: literal
                                                            values: {}
                                                          latPath:
                                                            def:
                                                              type: string
                                                              checks:
                                                                - {}
                                                            type: string
                                                          lonPath:
                                                            def:
                                                              type: string
                                                              checks:
                                                                - {}
                                                            type: string
                                                          accuracyPath:
                                                            def:
                                                              type: optional
                                                              innerType:
                                                                def:
                                                                  type: string
                                                                  checks:
                                                                    - {}
                                                                type: string
                                                            type: optional
                                                      type: object
                                                    - def:
                                                        type: object
                                                        shape:
                                                          kind:
                                                            def:
                                                              type: literal
                                                              values:
                                                                - beacon
                                                            type: literal
                                                            values: {}
                                                          idsPath:
                                                            def:
                                                              type: string
                                                              checks:
                                                                - {}
                                                            type: string
                                                      type: object
                                                    - def:
                                                        type: object
                                                        shape:
                                                          kind:
                                                            def:
                                                              type: literal
                                                              values:
                                                                - extract
                                                            type: literal
                                                            values: {}
                                                          textPath:
                                                            def:
                                                              type: optional
                                                              innerType:
                                                                def:
                                                                  type: string
                                                                  checks:
                                                                    - {}
                                                                type: string
                                                            type: optional
                                                          template:
                                                            def:
                                                              type: optional
                                                              innerType:
                                                                def:
                                                                  type: string
                                                                  checks:
                                                                    - {}
                                                                type: string
                                                            type: optional
                                                          entityType:
                                                            def:
                                                              type: optional
                                                              innerType:
                                                                def:
                                                                  type: string
                                                                  checks:
                                                                    - {}
                                                                type: string
                                                            type: optional
                                                      type: object
                                                    - def:
                                                        type: object
                                                        shape:
                                                          kind:
                                                            def:
                                                              type: literal
                                                              values:
                                                                - tool
                                                            type: literal
                                                            values: {}
                                                          tool:
                                                            def:
                                                              type: string
                                                              checks:
                                                                - {}
                                                            type: string
                                                          inputs:
                                                            def:
                                                              type: default
                                                              innerType:
                                                                def:
                                                                  type: record
                                                                  keyType:
                                                                    def:
                                                                      type: string
                                                                    type: string
                                                                  valueType:
                                                                    def:
                                                                      type: string
                                                                      checks:
                                                                        - {}
                                                                    type: string
                                                                type: record
                                                                keyType:
                                                                  def:
                                                                    type: string
                                                                  type: string
                                                                valueType:
                                                                  def:
                                                                    type: string
                                                                    checks:
                                                                      - {}
                                                                  type: string
                                                              defaultValue: {}
                                                            type: default
                                                          outputPath:
                                                            def:
                                                              type: optional
                                                              innerType:
                                                                def:
                                                                  type: string
                                                                  checks:
                                                                    - {}
                                                                type: string
                                                            type: optional
                                                          resolveAs:
                                                            def:
                                                              type: default
                                                              innerType:
                                                                def:
                                                                  type: enum
                                                                  entries:
                                                                    ref: ref
                                                                    name: name
                                                                type: enum
                                                                enum:
                                                                  ref: ref
                                                                  name: name
                                                                options:
                                                                  - ref
                                                                  - name
                                                              defaultValue: ref
                                                            type: default
                                                          source:
                                                            def:
                                                              type: optional
                                                              innerType:
                                                                def:
                                                                  type: string
                                                                  checks:
                                                                    - {}
                                                                type: string
                                                            type: optional
                                                      type: object
                                                checks:
                                                  - {}
                                              type: array
                                              element:
                                                def:
                                                  type: union
                                                  options:
                                                    - def:
                                                        type: object
                                                        shape:
                                                          kind:
                                                            def:
                                                              type: literal
                                                              values:
                                                                - geofence
                                                            type: literal
                                                            values: {}
                                                          latPath:
                                                            def:
                                                              type: string
                                                              checks:
                                                                - {}
                                                            type: string
                                                          lonPath:
                                                            def:
                                                              type: string
                                                              checks:
                                                                - {}
                                                            type: string
                                                          accuracyPath:
                                                            def:
                                                              type: optional
                                                              innerType:
                                                                def:
                                                                  type: string
                                                                  checks:
                                                                    - {}
                                                                type: string
                                                            type: optional
                                                      type: object
                                                    - def:
                                                        type: object
                                                        shape:
                                                          kind:
                                                            def:
                                                              type: literal
                                                              values:
                                                                - beacon
                                                            type: literal
                                                            values: {}
                                                          idsPath:
                                                            def:
                                                              type: string
                                                              checks:
                                                                - {}
                                                            type: string
                                                      type: object
                                                    - def:
                                                        type: object
                                                        shape:
                                                          kind:
                                                            def:
                                                              type: literal
                                                              values:
                                                                - extract
                                                            type: literal
                                                            values: {}
                                                          textPath:
                                                            def:
                                                              type: optional
                                                              innerType:
                                                                def:
                                                                  type: string
                                                                  checks:
                                                                    - {}
                                                                type: string
                                                            type: optional
                                                          template:
                                                            def:
                                                              type: optional
                                                              innerType:
                                                                def:
                                                                  type: string
                                                                  checks:
                                                                    - {}
                                                                type: string
                                                            type: optional
                                                          entityType:
                                                            def:
                                                              type: optional
                                                              innerType:
                                                                def:
                                                                  type: string
                                                                  checks:
                                                                    - {}
                                                                type: string
                                                            type: optional
                                                      type: object
                                                    - def:
                                                        type: object
                                                        shape:
                                                          kind:
                                                            def:
                                                              type: literal
                                                              values:
                                                                - tool
                                                            type: literal
                                                            values: {}
                                                          tool:
                                                            def:
                                                              type: string
                                                              checks:
                                                                - {}
                                                            type: string
                                                          inputs:
                                                            def:
                                                              type: default
                                                              innerType:
                                                                def:
                                                                  type: record
                                                                  keyType:
                                                                    def:
                                                                      type: string
                                                                    type: string
                                                                  valueType:
                                                                    def:
                                                                      type: string
                                                                      checks:
                                                                        - {}
                                                                    type: string
                                                                type: record
                                                                keyType:
                                                                  def:
                                                                    type: string
                                                                  type: string
                                                                valueType:
                                                                  def:
                                                                    type: string
                                                                    checks:
                                                                      - {}
                                                                  type: string
                                                              defaultValue: {}
                                                            type: default
                                                          outputPath:
                                                            def:
                                                              type: optional
                                                              innerType:
                                                                def:
                                                                  type: string
                                                                  checks:
                                                                    - {}
                                                                type: string
                                                            type: optional
                                                          resolveAs:
                                                            def:
                                                              type: default
                                                              innerType:
                                                                def:
                                                                  type: enum
                                                                  entries:
                                                                    ref: ref
                                                                    name: name
                                                                type: enum
                                                                enum:
                                                                  ref: ref
                                                                  name: name
                                                                options:
                                                                  - ref
                                                                  - name
                                                              defaultValue: ref
                                                            type: default
                                                          source:
                                                            def:
                                                              type: optional
                                                              innerType:
                                                                def:
                                                                  type: string
                                                                  checks:
                                                                    - {}
                                                                type: string
                                                            type: optional
                                                      type: object
                                                  discriminator: kind
                                                  inclusive: false
                                                type: union
                                                options:
                                                  - def:
                                                      type: object
                                                      shape:
                                                        kind:
                                                          def:
                                                            type: literal
                                                            values:
                                                              - geofence
                                                          type: literal
                                                          values: {}
                                                        latPath:
                                                          def:
                                                            type: string
                                                            checks:
                                                              - {}
                                                          type: string
                                                        lonPath:
                                                          def:
                                                            type: string
                                                            checks:
                                                              - {}
                                                          type: string
                                                        accuracyPath:
                                                          def:
                                                            type: optional
                                                            innerType:
                                                              def:
                                                                type: string
                                                                checks:
                                                                  - {}
                                                              type: string
                                                          type: optional
                                                    type: object
                                                  - def:
                                                      type: object
                                                      shape:
                                                        kind:
                                                          def:
                                                            type: literal
                                                            values:
                                                              - beacon
                                                          type: literal
                                                          values: {}
                                                        idsPath:
                                                          def:
                                                            type: string
                                                            checks:
                                                              - {}
                                                          type: string
                                                    type: object
                                                  - def:
                                                      type: object
                                                      shape:
                                                        kind:
                                                          def:
                                                            type: literal
                                                            values:
                                                              - extract
                                                          type: literal
                                                          values: {}
                                                        textPath:
                                                          def:
                                                            type: optional
                                                            innerType:
                                                              def:
                                                                type: string
                                                                checks:
                                                                  - {}
                                                              type: string
                                                          type: optional
                                                        template:
                                                          def:
                                                            type: optional
                                                            innerType:
                                                              def:
                                                                type: string
                                                                checks:
                                                                  - {}
                                                              type: string
                                                          type: optional
                                                        entityType:
                                                          def:
                                                            type: optional
                                                            innerType:
                                                              def:
                                                                type: string
                                                                checks:
                                                                  - {}
                                                              type: string
                                                          type: optional
                                                    type: object
                                                  - def:
                                                      type: object
                                                      shape:
                                                        kind:
                                                          def:
                                                            type: literal
                                                            values:
                                                              - tool
                                                          type: literal
                                                          values: {}
                                                        tool:
                                                          def:
                                                            type: string
                                                            checks:
                                                              - {}
                                                          type: string
                                                        inputs:
                                                          def:
                                                            type: default
                                                            innerType:
                                                              def:
                                                                type: record
                                                                keyType:
                                                                  def:
                                                                    type: string
                                                                  type: string
                                                                valueType:
                                                                  def:
                                                                    type: string
                                                                    checks:
                                                                      - {}
                                                                  type: string
                                                              type: record
                                                              keyType:
                                                                def:
                                                                  type: string
                                                                type: string
                                                              valueType:
                                                                def:
                                                                  type: string
                                                                  checks:
                                                                    - {}
                                                                type: string
                                                            defaultValue: {}
                                                          type: default
                                                        outputPath:
                                                          def:
                                                            type: optional
                                                            innerType:
                                                              def:
                                                                type: string
                                                                checks:
                                                                  - {}
                                                              type: string
                                                          type: optional
                                                        resolveAs:
                                                          def:
                                                            type: default
                                                            innerType:
                                                              def:
                                                                type: enum
                                                                entries:
                                                                  ref: ref
                                                                  name: name
                                                              type: enum
                                                              enum:
                                                                ref: ref
                                                                name: name
                                                              options:
                                                                - ref
                                                                - name
                                                            defaultValue: ref
                                                          type: default
                                                        source:
                                                          def:
                                                            type: optional
                                                            innerType:
                                                              def:
                                                                type: string
                                                                checks:
                                                                  - {}
                                                              type: string
                                                          type: optional
                                                    type: object
                                            holdMs:
                                              def:
                                                type: optional
                                                innerType:
                                                  def:
                                                    type: number
                                                    checks:
                                                      - def:
                                                          type: number
                                                          check: number_format
                                                          abort: false
                                                          format: safeint
                                                        type: number
                                                        isFinite: true
                                                      - {}
                                                  type: number
                                                  isFinite: true
                                              type: optional
                                            minConfidence:
                                              def:
                                                type: optional
                                                innerType:
                                                  def:
                                                    type: number
                                                    checks:
                                                      - {}
                                                      - {}
                                                  type: number
                                                  isFinite: true
                                              type: optional
                                        type: object
                                    type: optional
                                checks:
                                  - {}
                              type: object
                            occurredAtPath:
                              def:
                                type: optional
                                innerType:
                                  def:
                                    type: string
                                  type: string
                              type: optional
                            statements:
                              def:
                                type: array
                                element:
                                  def:
                                    type: object
                                    shape:
                                      property:
                                        def:
                                          type: string
                                          checks:
                                            - {}
                                        type: string
                                      valuePath:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: string
                                            type: string
                                        type: optional
                                      object:
                                        def:
                                          type: optional
                                          innerType:
                                            def:
                                              type: object
                                              shape:
                                                type:
                                                  def:
                                                    type: string
                                                    checks:
                                                      - {}
                                                  type: string
                                                path:
                                                  def:
                                                    type: optional
                                                    innerType:
                                                      def:
                                                        type: string
                                                        checks:
                                                          - {}
                                                      type: string
                                                  type: optional
                                                by:
                                                  def:
                                                    type: default
                                                    innerType:
                                                      def:
                                                        type: enum
                                                        entries:
                                                          ref: ref
                                                          identifier: identifier
                                                          name: name
                                                          resolve: resolve
                                                      type: enum
                                                      enum:
                                                        ref: ref
                                                        identifier: identifier
                                                        name: name
                                                        resolve: resolve
                                                      options:
                                                        - ref
                                                        - identifier
                                                        - name
                                                        - resolve
                                                    defaultValue: ref
                                                  type: default
                                                createWithNamePath:
                                                  def:
                                                    type: optional
                                                    innerType:
                                                      def:
                                                        type: string
                                                      type: string
                                                  type: optional
                                                resolve:
                                                  def:
                                                    type: optional
                                                    innerType:
                                                      def:
                                                        type: object
                                                        shape:
                                                          chain:
                                                            def:
                                                              type: array
                                                              element:
                                                                def:
                                                                  type: union
                                                                  options:
                                                                    - def:
                                                                        type: object
                                                                        shape:
                                                                          kind:
                                                                            def:
                                                                              type: literal
                                                                              values:
                                                                                - geofence
                                                                            type: literal
                                                                            values: {}
                                                                          latPath:
                                                                            def:
                                                                              type: string
                                                                              checks:
                                                                                - {}
                                                                            type: string
                                                                          lonPath:
                                                                            def:
                                                                              type: string
                                                                              checks:
                                                                                - {}
                                                                            type: string
                                                                          accuracyPath:
                                                                            def:
                                                                              type: optional
                                                                              innerType:
                                                                                def:
                                                                                  type: string
                                                                                  checks:
                                                                                    - {}
                                                                                type: string
                                                                            type: optional
                                                                      type: object
                                                                    - def:
                                                                        type: object
                                                                        shape:
                                                                          kind:
                                                                            def:
                                                                              type: literal
                                                                              values:
                                                                                - beacon
                                                                            type: literal
                                                                            values: {}
                                                                          idsPath:
                                                                            def:
                                                                              type: string
                                                                              checks:
                                                                                - {}
                                                                            type: string
                                                                      type: object
                                                                    - def:
                                                                        type: object
                                                                        shape:
                                                                          kind:
                                                                            def:
                                                                              type: literal
                                                                              values:
                                                                                - extract
                                                                            type: literal
                                                                            values: {}
                                                                          textPath:
                                                                            def:
                                                                              type: optional
                                                                              innerType:
                                                                                def:
                                                                                  type: string
                                                                                  checks:
                                                                                    - {}
                                                                                type: string
                                                                            type: optional
                                                                          template:
                                                                            def:
                                                                              type: optional
                                                                              innerType:
                                                                                def:
                                                                                  type: string
                                                                                  checks:
                                                                                    - {}
                                                                                type: string
                                                                            type: optional
                                                                          entityType:
                                                                            def:
                                                                              type: optional
                                                                              innerType:
                                                                                def:
                                                                                  type: string
                                                                                  checks:
                                                                                    - {}
                                                                                type: string
                                                                            type: optional
                                                                      type: object
                                                                    - def:
                                                                        type: object
                                                                        shape:
                                                                          kind:
                                                                            def:
                                                                              type: literal
                                                                              values:
                                                                                - tool
                                                                            type: literal
                                                                            values: {}
                                                                          tool:
                                                                            def:
                                                                              type: string
                                                                              checks:
                                                                                - {}
                                                                            type: string
                                                                          inputs:
                                                                            def:
                                                                              type: default
                                                                              innerType:
                                                                                def:
                                                                                  type: record
                                                                                  keyType:
                                                                                    def:
                                                                                      type: string
                                                                                    type: string
                                                                                  valueType:
                                                                                    def:
                                                                                      type: string
                                                                                      checks:
                                                                                        - {}
                                                                                    type: string
                                                                                type: record
                                                                                keyType:
                                                                                  def:
                                                                                    type: string
                                                                                  type: string
                                                                                valueType:
                                                                                  def:
                                                                                    type: string
                                                                                    checks:
                                                                                      - {}
                                                                                  type: string
                                                                              defaultValue: {}
                                                                            type: default
                                                                          outputPath:
                                                                            def:
                                                                              type: optional
                                                                              innerType:
                                                                                def:
                                                                                  type: string
                                                                                  checks:
                                                                                    - {}
                                                                                type: string
                                                                            type: optional
                                                                          resolveAs:
                                                                            def:
                                                                              type: default
                                                                              innerType:
                                                                                def:
                                                                                  type: enum
                                                                                  entries:
                                                                                    ref: ref
                                                                                    name: name
                                                                                type: enum
                                                                                enum:
                                                                                  ref: ref
                                                                                  name: name
                                                                                options:
                                                                                  - ref
                                                                                  - name
                                                                              defaultValue: ref
                                                                            type: default
                                                                          source:
                                                                            def:
                                                                              type: optional
                                                                              innerType:
                                                                                def:
                                                                                  type: string
                                                                                  checks:
                                                                                    - {}
                                                                                type: string
                                                                            type: optional
                                                                      type: object
                                                                  discriminator: kind
                                                                  inclusive: false
                                                                type: union
                                                                options:
                                                                  - def:
                                                                      type: object
                                                                      shape:
                                                                        kind:
                                                                          def:
                                                                            type: literal
                                                                            values:
                                                                              - geofence
                                                                          type: literal
                                                                          values: {}
                                                                        latPath:
                                                                          def:
                                                                            type: string
                                                                            checks:
                                                                              - {}
                                                                          type: string
                                                                        lonPath:
                                                                          def:
                                                                            type: string
                                                                            checks:
                                                                              - {}
                                                                          type: string
                                                                        accuracyPath:
                                                                          def:
                                                                            type: optional
                                                                            innerType:
                                                                              def:
                                                                                type: string
                                                                                checks:
                                                                                  - {}
                                                                              type: string
                                                                          type: optional
                                                                    type: object
                                                                  - def:
                                                                      type: object
                                                                      shape:
                                                                        kind:
                                                                          def:
                                                                            type: literal
                                                                            values:
                                                                              - beacon
                                                                          type: literal
                                                                          values: {}
                                                                        idsPath:
                                                                          def:
                                                                            type: string
                                                                            checks:
                                                                              - {}
                                                                          type: string
                                                                    type: object
                                                                  - def:
                                                                      type: object
                                                                      shape:
                                                                        kind:
                                                                          def:
                                                                            type: literal
                                                                            values:
                                                                              - extract
                                                                          type: literal
                                                                          values: {}
                                                                        textPath:
                                                                          def:
                                                                            type: optional
                                                                            innerType:
                                                                              def:
                                                                                type: string
                                                                                checks:
                                                                                  - {}
                                                                              type: string
                                                                          type: optional
                                                                        template:
                                                                          def:
                                                                            type: optional
                                                                            innerType:
                                                                              def:
                                                                                type: string
                                                                                checks:
                                                                                  - {}
                                                                              type: string
                                                                          type: optional
                                                                        entityType:
                                                                          def:
                                                                            type: optional
                                                                            innerType:
                                                                              def:
                                                                                type: string
                                                                                checks:
                                                                                  - {}
                                                                              type: string
                                                                          type: optional
                                                                    type: object
                                                                  - def:
                                                                      type: object
                                                                      shape:
                                                                        kind:
                                                                          def:
                                                                            type: literal
                                                                            values:
                                                                              - tool
                                                                          type: literal
                                                                          values: {}
                                                                        tool:
                                                                          def:
                                                                            type: string
                                                                            checks:
                                                                              - {}
                                                                          type: string
                                                                        inputs:
                                                                          def:
                                                                            type: default
                                                                            innerType:
                                                                              def:
                                                                                type: record
                                                                                keyType:
                                                                                  def:
                                                                                    type: string
                                                                                  type: string
                                                                                valueType:
                                                                                  def:
                                                                                    type: string
                                                                                    checks:
                                                                                      - {}
                                                                                  type: string
                                                                              type: record
                                                                              keyType:
                                                                                def:
                                                                                  type: string
                                                                                type: string
                                                                              valueType:
                                                                                def:
                                                                                  type: string
                                                                                  checks:
                                                                                    - {}
                                                                                type: string
                                                                            defaultValue: {}
                                                                          type: default
                                                                        outputPath:
                                                                          def:
                                                                            type: optional
                                                                            innerType:
                                                                              def:
                                                                                type: string
                                                                                checks:
                                                                                  - {}
                                                                              type: string
                                                                          type: optional
                                                                        resolveAs:
                                                                          def:
                                                                            type: default
                                                                            innerType:
                                                                              def:
                                                                                type: enum
                                                                                entries:
                                                                                  ref: ref
                                                                                  name: name
                                                                              type: enum
                                                                              enum:
                                                                                ref: ref
                                                                                name: name
                                                                              options:
                                                                                - ref
                                                                                - name
                                                                            defaultValue: ref
                                                                          type: default
                                                                        source:
                                                                          def:
                                                                            type: optional
                                                                            innerType:
                                                                              def:
                                                                                type: string
                                                                                checks:
                                                                                  - {}
                                                                              type: string
                                                                          type: optional
                                                                    type: object
                                                              checks:
                                                                - {}
                                                            type: array
                                                            element:
                                                              def:
                                                                type: union
                                                                options:
                                                                  - def:
                                                                      type: object
                                                                      shape:
                                                                        kind:
                                                                          def:
                                                                            type: literal
                                                                            values:
                                                                              - geofence
                                                                          type: literal
                                                                          values: {}
                                                                        latPath:
                                                                          def:
                                                                            type: string
                                                                            checks:
                                                                              - {}
                                                                          type: string
                                                                        lonPath:
                                                                          def:
                                                                            type: string
                                                                            checks:
                                                                              - {}
                                                                          type: string
                                                                        accuracyPath:
                                                                          def:
                                                                            type: optional
                                                                            innerType:
                                                                              def:
                                                                                type: string
                                                                                checks:
                                                                                  - {}
                                                                              type: string
                                                                          type: optional
                                                                    type: object
                                                                  - def:
                                                                      type: object
                                                                      shape:
                                                                        kind:
                                                                          def:
                                                                            type: literal
                                                                            values:
                                                                              - beacon
                                                                          type: literal
                                                                          values: {}
                                                                        idsPath:
                                                                          def:
                                                                            type: string
                                                                            checks:
                                                                              - {}
                                                                          type: string
                                                                    type: object
                                                                  - def:
                                                                      type: object
[...]
